Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.parser
Class OldVarDecl

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.GenericVarDecl
              javafe.ast.LocalVarDecl
                  escjava.parser.OldVarDecl

All Implemented Interfaces:
  java.lang.Cloneable

public class OldVarDecl
extends LocalVarDecl

Field Summary

Fields inherited from class javafe.ast.LocalVarDecl
`init, locAssignOp`

Fields inherited from class javafe.ast.GenericVarDecl
`id, locId, modifiers, pmodifiers, type`

Fields inherited from class javafe.ast.ASTNode
``

Constructor Summary
`OldVarDecl()`

Method Summary
`static OldVarDecl` | `make(Identifier id, Type type, int locId, VarInit init, int locAssignOp)`

Methods inherited from class javafe.ast.LocalVarDecl
`accept, accept, check, childAt, childCount, getEndLoc, getTag, make, toString`

Methods inherited from class javafe.ast.GenericVarDecl
`getModifiers, getStartLoc, setModifiers`

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OldVarDecl

    public OldVarDecl()

Method Detail

### make

    public static OldVarDecl make(Identifier id,
                                  Type type,
                                  int locId,
                                  VarInit init,
                                  int locAssignOp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage